- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# rax_mon_notification_plan – Create or delete a Rackspace Cloud Monitoring notification plan

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Create or delete a Rackspace Cloud Monitoring notification plan by associating existing rax_mon_notifications with severity levels. Rackspace monitoring module flow | rax_mon_entity -> rax_mon_check -> rax_mon_notification -> rax_mon_notification_plan -> rax_mon_alarm

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- pyrax

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - |  | Rackspace API key, overrides credentials. aliases: password
auth_endpoint - | Default: "https://identity.api.rackspacecloud.com/v2.0/" | The URI of the authentication service.
credentials - |  | File to find the Rackspace credentials in. Ignored if api_key and username are provided. aliases: creds_file
critical_state - |  | Notification list to use when the alarm state is CRITICAL. Must be an array of valid rax_mon_notification ids.
env - |  | Environment as configured in ~/.pyrax.cfg, see https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#pyrax-configuration.
identity_type - | Default: "rackspace" | Authentication mechanism to use, such as rackspace or keystone.
label - / required |  | Defines a friendly name for this notification plan. String between 1 and 255 characters long.
ok_state - |  | Notification list to use when the alarm state is OK. Must be an array of valid rax_mon_notification ids.
region - | Default: "DFW" | Region to create an instance in.
state - | Choices: present absent | Ensure that the notification plan with this `label` exists or does not exist.
tenant_id - |  | The tenant ID used for authentication.
tenant_name - |  | The tenant name used for authentication.
username - |  | Rackspace username, overrides credentials.
validate_certs boolean | Choices: no yes | Whether or not to require SSL validation of API endpoints. aliases: verify_ssl
warning_state - |  | Notification list to use when the alarm state is WARNING. Must be an array of valid rax_mon_notification ids.

## Notes

Note

- The following environment variables can be used, `RAX_USERNAME`, `RAX_API_KEY`, `RAX_CREDS_FILE`, `RAX_CREDENTIALS`, `RAX_REGION`.

- `RAX_CREDENTIALS` and `RAX_CREDS_FILE` points to a credentials file appropriate for pyrax. See https://github.com/rackspace/pyrax/blob/master/docs/getting_started.md#authenticating

- `RAX_USERNAME` and `RAX_API_KEY` obviate the use of a credentials file

- `RAX_REGION` defines a Rackspace Public Cloud region (DFW, ORD, LON, …)

## Examples

    - name: Example notification plan
      gather_facts: False
      hosts: local
      connection: local
      tasks:
      - name: Establish who gets called when.
        rax_mon_notification_plan:
          credentials: ~/.rax_pub
          state: present
          label: defcon1
          critical_state:
          - "{{ everyone['notification']['id'] }}"
          warning_state:
          - "{{ opsfloor['notification']['id'] }}"
        register: defcon1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ash Wilson (@smashwilson)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.